package Voyager.db.clients;

import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import Voyager.util.*;

public class SDBApplet extends Applet
{
  private VoyagerSDB sdb_;
  private VoyAppletContext context_;
    
  public void init( )
  {
    boolean qGoodArgs = false;
	
    super.init( );
	    
    context_ = new VoyAppletContext( this );
	
    sdb_ = new VoyagerSDB(  );

    String param = getParameter( "Demo" );
    if( param != null )
      sdb_.setDemo( 1 );
	
    param = getParameter( "DBURL" );
    if( param != null )
      try {
	context_.retrieveIOR( new java.net.URL( param ) );
      } catch(java.net.MalformedURLException e) {
      }

    param = getParameter( "IOR" );
    if( param != null )
      context_.setIOR( param );

    context_.showStatus("Starting Applet...");

    sdb_.init( context_ );
    add( "Center" , sdb_ );
  }

  public void start( )
  {
  }

}
