package Voyager.rtsp.clients;

import java.awt.*;

public class RecordPanel extends Panel
{
    public RecordPanel()
    {
	super();
	
	GridBagLayout layout = new GridBagLayout();
	setLayout(layout);

	TextArea ta = new TextArea("Initial text", 4, 40);
//	TextField ta = new TextField("Field here");

	GridBagConstraints c = new GridBagConstraints();

	// First row

	Panel lpanel = new Panel();
	lpanel.setLayout(new BorderLayout());

	lpanel.add("West", new Label("Foo"));
	lpanel.add("Center", new TextField("Field"));
	
	c.gridwidth = GridBagConstraints.REMAINDER;
	c.weightx = 1.0;
	c.fill = GridBagConstraints.HORIZONTAL;
	
	layout.setConstraints(lpanel, c);
	add(lpanel);

	// Second row

	c.weightx = 1.0;
	c.weighty = 1.0;
//	c.gridheight = GridBagConstraints.RELATIVE;
	c.fill = GridBagConstraints.BOTH;

	layout.setConstraints(ta, c);
	add(ta);

	// Third row

	Panel bpanel = new Panel();

	bpanel.add(new Button("Record"));
	bpanel.add(new Button("Pause"));
	bpanel.add(new Button("Done"));

	c.weightx = 0.0;
	c.weighty = 0.0;
	c.gridwidth = GridBagConstraints.REMAINDER;
	c.fill = GridBagConstraints.NONE;
	layout.setConstraints(bpanel, c);
	add(bpanel);

	//

	c.gridheight = GridBagConstraints.RELATIVE;

	c.insets.top = 4;
	c.insets.left = 2;
	
	c.gridwidth = 1;
	c.weightx = 10.0;
	c.fill = GridBagConstraints.HORIZONTAL;
	Scrollbar sb1 = new Scrollbar(Scrollbar.HORIZONTAL);

	layout.setConstraints(sb1, c);
	add(sb1);

	c.weightx = 0.0;
	c.gridwidth = GridBagConstraints.REMAINDER;
	c.fill = GridBagConstraints.NONE;
	Button b1 = new Button("Stream 1");
	layout.setConstraints(b1, c);
	add(b1);

	//

	c.gridheight = GridBagConstraints.REMAINDER;

	c.gridwidth = 1;
	c.weightx = 10.0;
	c.fill = GridBagConstraints.HORIZONTAL;
	Scrollbar sb2 = new Scrollbar(Scrollbar.HORIZONTAL);

	layout.setConstraints(sb2, c);
	add(sb2);

	c.weightx = 0.0;
	c.gridwidth = GridBagConstraints.REMAINDER;
	c.fill = GridBagConstraints.NONE;
	Button b2 = new Button("Stream 2");
	layout.setConstraints(b2, c);
	add(b2);
    }
}
