#include "Play_Stream_Manager.h"
#include "RTSP_Play_Request.h"
#include "RTSP_Setup_Request.h"
#include "Playback_Network_Transport.h"
#include "Play_Stream_Synchronizer.h"
#include "config.h"


/////////////////////////////////////////////////////////////////////////////
//
// Play_Stream_Manager.C
//
// Revision History
//      15 Sep 97 - lisa - original version
//

Play_Stream_Manager::Play_Stream_Manager( VOY_Database_ptr db ,
					  RTSP_Setup_Request* request ,
					  Play_Stream_Synchronizer* synch ,
					  Playback_Network_Transport* netTrans,
					  VOY_String payFreqFileName )
                                          : streamSrc_( payFreqFileName )
{
    streamSrc_.setup( db , request , synch , netTrans );
}

Play_Stream_Manager::~Play_Stream_Manager( )
{
}

void
Play_Stream_Manager::play( RTSP_Play_Request* request )
{
}

void
Play_Stream_Manager::teardown( void )
{
    streamSrc_.teardown( );
}


