#ifndef _RTCP_Listener_h_
#define _RTCP_Listener_h_

#include "Packet_Handler.h"
#include "RTCP_Packet.h"
#include "RTCP_Packet_Sink.h"

class ACE_Reactor;

class RTCP_Listener : public Packet_Handler
{
public:
    
    RTCP_Listener( ACE_SOCK_Dgram* sock  , RTCP_Packet_Sink* sink , ACE_Reactor* );
    ~RTCP_Listener( void );

    virtual char *getBuffer( int* size );
    virtual int handlePacket( char* buffer , int size , ACE_INET_Addr& from );

protected:

    RTCP_Packet packetBuffer_;
    RTCP_Packet_Sink *packetSink_;

    ACE_Reactor* reactor_;
};

#endif
