#include <sys/time.h>

#ifdef _AIX
extern "C" void UTP_readTime(struct timestruc_t *);
#endif

double gettimeofday()
{
#ifdef _AIX
    struct timestruc_t tv;
    double t;
    
    UTP_readTime(&tv);

    t = double(tv.tv_sec) + double(tv.tv_nsec) / 1e9;

    return t;
#else
	timeval tv;
	::gettimeofday(&tv, 0);
	return (double(tv.tv_sec) + double(tv.tv_usec) / 1e6);
#endif
}
