package Voyager.rtsp;

import java.util.Hashtable;

public class Response
{
    Response(String version, int statusCode, int sequence, String reason)
    {
	version_ = version;
	code_ = statusCode;
	sequence_ = sequence;
	reason_ = reason;
	body_ = null;
    }

    public void setBody(byte body[])
    {
	body_ = body;
    }

    public void setHeaders(Hashtable h)
    {
	headers_ = h;
    }

    public String version() { return version_; }
    public int code() { return code_; }
    public int sequence() { return sequence_; }
    public String reason() { return reason_; }
    public byte [] body() { return body_; }
    public Hashtable headers() { return headers_; }
    public Integer sequenceObj() { return new Integer(sequence_); }

    String version_;
    int code_;
    int sequence_;
    String reason_;
    byte body_[];
    Hashtable headers_;
}
