#ifndef _RTSP_Acceptor_h
#define _RTSP_Acceptor_h

#include <ace/SOCK_Acceptor.h>
#include <ace/Acceptor.h>

#include "RTSP_Engine.h"

class Dispatcher;

class RTSP_Acceptor : public ACE_Acceptor<RTSP_Engine, ACE_SOCK_ACCEPTOR>
{
public:
    RTSP_Acceptor(Dispatcher *d) : dispatcher_(d) {}

protected:
    virtual int make_svc_handler(RTSP_Engine *&engine)
    {
	if (engine == NULL)
	{
	    engine = new RTSP_Engine(dispatcher_);
	}
	return 0;
    }
    Dispatcher *dispatcher_;
};

#endif
